---

- name: Ensure home directories are created
  file:
    dest: "{{ home_directory_default_location }}/{{ item.dest }}"
    state: directory
    owner: "{{ item.owner | default(home_directory_default_owner) }}"
    group: "{{ item.group | default(home_directory_default_group) }}"
    mode: "{{ item.mode | default(home_directory_default_mode) }}"
    recurse: "{{ item.recurse | default(home_directory_default_recurse) }}"
  with_items: "{{ home_directory_definitions }}"

- name: Ensure home files are created
  copy:
    src: "{{ item.src if 'src' in item else omit }}"
    content: "{{ item.content if 'content' in item else omit }}"
    dest: "{{ home_directory_default_location }}/{{ item.dest }}"
    owner: "{{ item.owner | default(home_file_default_owner) }}"
    group: "{{ item.group | default(home_file_default_group) }}"
    mode: "{{ item.mode | default(home_file_default_mode) }}"
  with_items: "{{ home_file_definitions }}"
  loop_control:
    label: "{{ item.dest }}"

# - name: Ensure these directories exist
#   file:
#     path: "{{ item }}"
#     state: directory
#     mode: '0755'
#     recurse: False
#   with_items:
#     - /etc/X11/xorg.conf.d/
#     - /etc/pulse/default.pa.d/
#     - /etc/security/limits.d/
#     - /etc/sysctl.d/
#     - /etc/systemd/timesyncd.conf.d/
#     - /usr/local/share/fonts/
#     - /usr/local/share/icons/
#     - /usr/local/share/pixmaps/
#     - /usr/local/share/themes/
#     - /usr/local/share/vamp/
#     - /usr/share/backgrounds/syncopated/
#
# - name: Ensure these directories also exist
#   file:
#     path: "{{ user.home }}/{{ item }}"
#     state: directory
#     owner: "{{ user.name }}"
#     group: "{{ user.group }}"
#     mode: '0755'
#     recurse: False
#   with_items:
#     - .icons/
#     - .themes/
#     - .local/share/fonts/
#     - .config/Debauchee/
#     - .config/Kvantum/
#     - .config/Thunar/
#     - .config/alacritty/
#     - .config/dunst/
#     - .config/fontconfig/
#     - .config/gtk-3.0/
#     - .config/gtk-4.0/
#     - .config/htop/
#     - .config/i3/
#     - .config/i3status-rust/themes/
#     - .config/input-remapper-2/
#     - .config/jgmenu/
#     - .config/kitty/
#     - .config/nitrogen/
#     - .config/picom/
#     - .config/pulse/
#     - .config/qt5ct/colors/
#     - .config/qt6ct/colors/
#     - .config/qutebrowser/
#     - .config/sxhkd/
#     - .config/tilda/
#     - .config/zim/
#     - .guake/
#     - .local/bin/
#     - .local/share/zim/templates/plugins/
#     - .sonic-pi/config/
#     # - .config/rofi/applets
#     # - .config/rofi/applets/bin
#     # - .config/rofi/applets/shared
#     # - .config/rofi/applets/type-1
#     # - .config/rofi/applets/type-2
#     # - .config/rofi/applets/type-3
#     # - .config/rofi/applets/type-4
#     # - .config/rofi/applets/type-5
#     - .config/rofi/colors/
#     - .config/rofi/images/
#     - .config/rofi/launchers/
#     - .config/rofi/launchers/type-1/shared/
#     # - .config/rofi/launchers/type-2/shared
#     - .config/rofi/launchers/type-3/shared/
#     - .config/rofi/launchers/type-4/shared/
#     # - .config/rofi/launchers/type-5/shared
#     # - .config/rofi/launchers/type-6/shared
#     # - .config/rofi/launchers/type-7/shared
#     # - .config/rofi/powermenu
#     # - .config/rofi/powermenu/type-1/shared
#     # - .config/rofi/powermenu/type-2/shared
#     # - .config/rofi/powermenu/type-3/shared
#     # - .config/rofi/powermenu/type-4/shared
#     # - .config/rofi/powermenu/type-5/shared
#     # - .config/rofi/powermenu/type-6/shared
#     - .config/rofi/scripts/
#
# - name: Ensure these directories also exist
#   file:
#     path: "/root/{{ item }}"
#     state: directory
#     mode: '0755'
#     recurse: True
#   with_items:
#     - .config/Kvantum/
#     - .config/Thunar/
#     - .config/gtk-3.0/
#     - .config/gtk-4.0/
#     - .config/qt5ct/colors/
#     - .config/qt6ct/colors/
